[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomComboBox.SetItemIndex

Sets the value for the ItemIndex property.

## Declaration

Source position: stdctrls.pp line 378

`protected procedure TCustomComboBox.SetItemIndex(`
`const Val: Integer`
`); virtual;`

## Arguments

`Val` |  | New value for the ItemIndex property.

## See also

TCustomComboBox.ItemIndex |  | The index of the currently selected item, or -1 if no item is selected.